Subject: Re: [PATCH] KVM: arm64: Drop PTE_S2_MEMATTR_MASK

From: Marc Zyngier <[email-masked]>
Date: Thu, 16 Apr 2020 18:24:29 +0100

On 2020-04-16 18:05, Will Deacon wrote:
> On Thu, Apr 16, 2020 at 04:36:05PM +0100, Marc Zyngier wrote:
>> On Wed, 15 Apr 2020 18:57:46 +0800
>> Zenghui Yu <[email-masked]> wrote:
>> 
>> > The only user of PTE_S2_MEMATTR_MASK macro had been removed since
>> > commit a501e32430d4 ("arm64: Clean up the default pgprot setting").
>> > It has been about six years and no one has used it again.
>> >
>> > Let's drop it.
>> >
>> > Signed-off-by: Zenghui Yu <[email-masked]>
>> > ---
>> >  arch/arm64/include/asm/pgtable-hwdef.h | 1 -
>> >  1 file changed, 1 deletion(-)
>> >
>> > diff --git a/arch/arm64/include/asm/pgtable-hwdef.h b/arch/arm64/include/asm/pgtable-hwdef.h
>> > index 6bf5e650da78..99315bdca0e6 100644
>> > --- a/arch/arm64/include/asm/pgtable-hwdef.h
>> > +++ b/arch/arm64/include/asm/pgtable-hwdef.h
>> > @@ -190,7 +190,6 @@
>> >   * Memory Attribute override for Stage-2 (MemAttr[3:0])
>> >   */
>> >  #define PTE_S2_MEMATTR(t)	(_AT(pteval_t, (t)) << 2)
>> > -#define PTE_S2_MEMATTR_MASK	(_AT(pteval_t, 0xf) << 2)
>> >
>> >  /*
>> >   * EL2/HYP PTE/PMD definitions
>> 
>> Looks good to me. Catalin, Will: do you want to take this directly? If
>> so please add my:
>> 
>> Acked-by: Marc Zyngier <[email-masked]>
>> 
>> Otherwise, I'll route it via the KVM tree.
> 
> I can take it for 5.8 if it's not urgent.

It has been there 6 years, I think we can cope with another few 
months... ;-)

Thanks,

         M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel